aboutsummaryrefslogtreecommitdiffstats
path: root/testing/openipmi/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-08-04 09:07:27 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-08-04 09:26:53 +0000
commit841c12e12453ad580392976309ab148f54deef2d (patch)
tree3bc816756ecb922a5785d3a2b1733ba65e3a108e /testing/openipmi/APKBUILD
parent52df1e879874bc008e78646806ae16cf7363bedf (diff)
downloadaports-841c12e12453ad580392976309ab148f54deef2d.tar.gz
aports-841c12e12453ad580392976309ab148f54deef2d.tar.bz2
aports-841c12e12453ad580392976309ab148f54deef2d.tar.xz
testing/openipmi: new aport
IPMI (Intelligent Platform Management Interface) library and tools http://sourceforge.net/projects/openipmi/ ref #3276
Diffstat (limited to 'testing/openipmi/APKBUILD')
-rw-r--r--testing/openipmi/APKBUILD76
1 files changed, 76 insertions, 0 deletions
diff --git a/testing/openipmi/APKBUILD b/testing/openipmi/APKBUILD
new file mode 100644
index 0000000000..61eba7ca50
--- /dev/null
+++ b/testing/openipmi/APKBUILD
@@ -0,0 +1,76 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=openipmi
+pkgver=2.0.21
+pkgrel=0
+pkgdesc="IPMI (Intelligent Platform Management Interface) library and tools"
+url="http://sourceforge.net/projects/openipmi/"
+arch="all"
+license="LGPLv2+ and GPLv2+ or BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev popt-dev glib-dev net-snmp-dev ncurses-dev
+ openssl-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lanserv $pkgname-libs"
+source="http://downloads.sourceforge.net/openipmi/OpenIPMI-$pkgver.tar.gz
+ pthread-pkgconfig.patch
+ stdint.patch
+ "
+
+_builddir="$srcdir"/OpenIPMI-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ update_config_sub
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --disable-static \
+ --with-ucdsnmp \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make -j1 DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+lanserv() {
+ pkgdesc="Emulates an IPMI network listener"
+ mkdir -p "$subpkgdir"/usr/bin "$subpkgdir"/usr/lib || return 1
+ mv "$pkgdir"/etc "$subpkgdir"/ || return 1
+ mv "$pkgdir"/usr/lib/libIPMIlanserv.so.* "$subpkgdir"/usr/lib/ \
+ || return 1
+ mv "$pkgdir"/usr/bin/ipmilan \
+ "$pkgdir"/usr/bin/ipmi_sim \
+ "$pkgdir"/usr/bin/sdrcomp \
+ "$subpkgdir"/usr/bin/ || return 1
+}
+
+
+
+md5sums="dc0b42ae40b3f1d0db2a94b75b95fae1 OpenIPMI-2.0.21.tar.gz
+de8aa684f967280b07fcc3eed0a4804b pthread-pkgconfig.patch
+d2a6a23784b0155d666c01dc990d7bb0 stdint.patch"
+sha256sums="37b844d02119b94b31e2bb2bd8062ffdf6cd3eb4bc75fa6c47184e8b14fe95b8 OpenIPMI-2.0.21.tar.gz
+f204b96d3e391786aa7eae569412979ac6c83dbfdb480340abea098b3d6d28d7 pthread-pkgconfig.patch
+2c7165a8b0607fd48fb2f3d89b89e1e38de1bd9f89dedafaed39d094b72866e8 stdint.patch"
+sha512sums="b684259ee5d47c36273fe6b47d60d0481c96b64b2e9421ce3190d9514e4f450b0db28d12c86a8814dcce23ba3ecfcecbbe9251d298244f1e9194a9f7563862a5 OpenIPMI-2.0.21.tar.gz
+8a1f6e784326389eb1aa517283aaca0330ef5b8a6975d4731acbff3cc39e857e38e4510ba851be9347533bef462bb3ce0c20578979b56c8c31d87d901c446bb2 pthread-pkgconfig.patch
+ac0f8506320fa2433244c0a2d7ac46df1ef8f50ab4905e816e6f7953c69327d391182c7807aab8f61547aed24d510ac71ceb8e73c2c65e0e44f072e1ad0f2c9e stdint.patch"